## cinder 9.0.0~rc1

=== debian/changelog ===
cinder (2:9.0.0~rc1-2+3~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Thomas Goirand ]
  * Build-Depends on openstack-pkg-tools >= 53~.
  * Fixed oslotest EPOCH.

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Sat, 01 Oct 2016 10:37:26 +0000

cinder (2:9.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Fixed namespace list when generating cinder.conf.
  * Using OpenStack's Gerrit as VCS URLs.
  * Rebased nozfs patches.
  * Added PYTHONPATH=. when building sphinx doc.
  * Black list 3 unit tests that non-deterministically fail:
    - test_volume.VolumeMigrationTestCase.test_retype_volume_migration_failed
    - test_volume.VolumeMigrationTestCase.test_retype_volume_migration_bad_policy
    - backup.test_backup.BackupTestCase.test_create_backup_with_temp_snapshot

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Sep 2016 21:17:08 +0200

=== debian/control ===
Source: cinder
Section: net
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 53~),
               po-debconf,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: bandit (>= 0.13.2),
                     git,
                     python-anyjson,
                     python-babel (>= 2.3.4),
                     python-barbicanclient (>= 4.0.0),
                     python-castellan (>= 0.4.0),
                     python-coverage,
                     python-crypto,
                     python-ddt (>= 1.0.1),
                     python-decorator (>= 3.4.0),
                     python-enum34,
                     python-eventlet (>= 0.18.4),
                     python-fixtures (>= 3.0.0),
                     python-glanceclient (>= 1:2.3.0),
                     python-googleapi (>= 1.4.2),
                     python-greenlet,
                     python-hacking (>= 0.10.0),
                     python-httplib2,
                     python-ipaddress (>= 1.0.7),
                     python-iso8601 (>= 0.1.11),
                     python-keystoneauth1 (>= 2.10.0),
                     python-keystoneclient (>= 1:2.0.0),
                     python-keystonemiddleware (>= 4.0.0),
                     python-lxml,
                     python-migrate (>= 0.9.6),
                     python-mock (>= 2.0),
                     python-mox3,
                     python-mysqldb,
                     python-novaclient (>= 2:2.29.0),
                     python-oauth2client (>= 2.0.1),
                     python-os-brick (>= 1.6.1),
                     python-os-testr (>= 0.7.0),
                     python-os-win (>= 0.2.3),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 1:3.14.0),
                     python-oslo.context (>= 2.9.0),
                     python-oslo.db (>= 4.10.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 2.0.0),
                     python-oslo.messaging (>= 5.2.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.privsep (>= 1.9.0),
                     python-oslo.policy (>= 1.9.0),
                     python-oslo.reports (>= 1.0.0),
                     python-oslo.rootwrap (>= 5.0.0),
                     python-oslo.serialization (>= 2.0.0),
                     python-oslo.service (>= 1.10.0),
                     python-oslo.utils (>= 3.16.0),
                     python-oslo.versionedobjects (>= 1.13.0),
                     python-oslo.vmware (>= 2.11.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1:1.10.0),
                     python-osprofiler (>= 1.4.0),
                     python-paramiko (>= 2.0),
                     python-paste,
                     python-pastedeploy,
                     python-pep8,
                     python-psutil,
                     python-psycopg2 (>= 2.5),
                     python-pymysql,
                     python-pyparsing,
                     python-pywbem,
                     python-requests (>= 2.10.0),
                     python-retrying,
                     python-routes,
                     python-rtslib-fb (>= 2.1.57),
                     python-simplejson,
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.16.0),
                     python-swiftclient (>= 1:2.2.0),
                     python-taskflow (>= 1.26.0),
                     python-tempest-lib (>= 0.14.0),
                     python-testresources,
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-tooz (>= 1.28.0),
                     python-tz,
                     python-webob,
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-cinder?h=debian%2Fnewton
Vcs-Git: https://git.openstack.org/openstack/deb-cinder -b debian/newton
Homepage: https://github.com/openstack/cinder

Package: python-cinder
Section: python
Architecture: all
Depends: python-babel (>= 2.3.4),
         python-barbicanclient (>= 4.0.0),
         python-castellan (>= 0.4.0),
         python-ceph,
         python-crypto,
         python-decorator (>= 3.4.0),
         python-eventlet (>= 0.18.4),
         python-glanceclient (>= 1:2.3.0),
         python-googleapi (>= 1.4.2),
         python-greenlet,
         python-hp3parclient,
         python-httplib2,
         python-ipaddress (>= 1.0.7),
         python-iso8601 (>= 0.1.11),
         python-keystoneauth1 (>= 2.10.0),
         python-keystoneclient (>= 1:2.0.0),
         python-keystonemiddleware (>= 4.0.0),
         python-lxml,
         python-migrate (>= 0.9.6),
         python-mysqldb,
         python-novaclient (>= 2:2.29.0),
         python-oauth2client (>= 2.0.1),
         python-os-brick (>= 1.6.1),
         python-os-win (>= 0.2.3),
         python-oslo.concurrency (>= 3.8.0),
         python-oslo.config (>= 1:3.14.0),
         python-oslo.context (>= 2.9.0),
         python-oslo.db (>= 4.10.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 2.0.0),
         python-oslo.messaging (>= 5.2.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.policy (>= 1.9.0),
         python-oslo.privsep (>= 1.9.0),
         python-oslo.reports (>= 1.0.0),
         python-oslo.rootwrap (>= 5.0.0),
         python-oslo.serialization (>= 2.0.0),
         python-oslo.service (>= 1.10.0),
         python-oslo.utils (>= 3.16.0),
         python-oslo.versionedobjects (>= 1.13.0),
         python-oslo.vmware (>= 2.11.0),
         python-osprofiler (>= 1.4.0),
         python-paramiko (>= 2.0),
         python-paste,
         python-pastedeploy,
         python-pbr (>= 1.8),
         python-psutil,
         python-psycopg2 (>= 2.5),
         python-pymysql,
         python-pyparsing,
         python-requests (>= 2.10.0),
         python-retrying,
         python-routes,
         python-rtslib-fb (>= 2.1.57),
         python-simplejson,
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.16.0),
         python-swiftclient (>= 1:2.2.0),
         python-taskflow (>= 1.26.0),
         python-tooz (>= 1.28.0),
         python-tz,
         python-webob,
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack block storage system - Python libraries
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the Python libraries that are part of Cinder.

Package: cinder-common
Architecture: all
Depends: adduser,
         dbconfig-common,
         debconf,
         python-cinder (= ${binary:Version}),
         sqlite3,
         ${misc:Depends},
         ${python:Depends},
Provides: ${python:Provides},
Description: OpenStack block storage system - common files
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains common files and configuration that are
 needed by all the daemon packages of Cinder.

Package: cinder-api
Architecture: all
Depends: adduser,
         cinder-common (= ${binary:Version}),
         debconf,
         python-keystoneclient,
         python-openstackclient,
         q-text-as-data,
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack block storage system - API server
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the Cinder API server.

Package: cinder-volume
Architecture: all
Depends: adduser,
         cinder-common (= ${binary:Version}),
         lvm2,
         qemu-utils,
         tgt,
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Suggests: ceph-common,
Description: OpenStack block storage system - Volume server
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the Cinder Volume server.

Package: cinder-scheduler
Architecture: all
Depends: cinder-common (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack block storage system - Scheduler server
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the Cinder Scheduler server.

Package: cinder-backup
Architecture: all
Depends: adduser,
         cinder-common (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack block storage system - Backup server
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the Cinder backup service.

Package: cinder-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: OpenStack block storage system - doc
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage
 solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,systemd,sphinxdoc

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'cinder\.tests\.unit\.(?!(.*test_volume\.VolumeTestCase\.test_create_delete_volume.*|.*test_volume\.ConsistencyGroupTestCase\.test_create_delete_cgsnapshot.*|.*test_volume\.VolumeMigrationTestCase\.test_retype_volume_driver_success.*|.*test_volume\.VolumeMigrationTestCase\.test_retype_volume_migration_failed.*|.*backup\.test_backup\.BackupTestCase\.test_create_backup_with_temp_snapshot.*|.*test_volume\.VolumeMigrationTestCase\.test_retype_volume_migration_bad_policy.*))' | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -f debian/cinder-common.config debian/cinder-common.postinst debian/cinder-api.config debian/cinder-api.postinst debian/cinder-volume.postinst
	rm -rf debian/*.upstart debian/*.service

override_dh_auto_clean:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	python2.7 setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp

	mkdir -p $(CURDIR)/debian/cinder-common/usr/share/cinder-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf \
		--wrap-width 80 \
		--namespace castellan.config \
		--namespace cinder \
		--namespace keystonemiddleware.auth_token \
		--namespace oslo.config \
		--namespace oslo.concurrency \
		--namespace oslo.context \
		--namespace oslo.db \
		--namespace oslo.i18n \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.middleware \
		--namespace oslo.policy \
		--namespace oslo.reports \
		--namespace oslo.rootwrap \
		--namespace oslo.serialization \
		--namespace oslo.service.periodic_task \
		--namespace oslo.service.service \
		--namespace oslo.service.sslutils \
		--namespace oslo.service.wsgi \
		--namespace oslo.utils \
		--namespace oslo.versionedobjects \
		--namespace oslo.vmware
#	# The generator is currently missing enabled_backend and the [lvm]
#	# section. This script fixes it until upstream gets smarter.
#	chmod +x debian/gen-fixed-config
#	./debian/gen-fixed-config
#	cp etc/cinder/cinder.conf.sample $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf

	dh_install --fail-missing -Xbin/cinder-all
	install -D -m 0440 debian/cinder-common.sudoers $(CURDIR)/debian/cinder-common/etc/sudoers.d/cinder-common

	# Set LVM as default backend
	pkgos-fix-config-default $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf DEFAULT enabled_backends lvm
	echo "[lvm]" 				>> $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf
	echo "volume_driver = cinder.volume.drivers.lvm.LVMVolumeDriver" >> $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf
	echo "volume_group = pkgosvg0" 		>> $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf
	echo "iscsi_protocol = iscsi" 		>> $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf
	echo "iscsi_helper = tgtadm" 		>> $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf

	# Set a default value for lock_path & state_path
	pkgos-fix-config-default $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf oslo_concurrency lock_path /var/lock/cinder

	# Disable https in default setup, as this makes our CI fail
	pkgos-fix-config-default $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf keystone_authtoken auth_protocol http

	# Fix the missing sql_connection directive
	pkgos-fix-config-default $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf database sqlite:////var/lib/cinder/cinderdb

	install -D -m 0644 $(CURDIR)/etc/cinder/logging_sample.conf $(CURDIR)/debian/cinder-common/usr/share/cinder-common/logging.conf

override_dh_fixperms:
	dh_fixperms -Xcinder_tgt.conf
	chmod 0440 $(CURDIR)/debian/cinder-common/etc/sudoers.d/cinder-common

override_dh_auto_build:
	dh_auto_build -O--buildsystem=python_distutils

	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cinder-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cinder-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cinder-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cinder-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cinder-volume.postinst

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python setup.py build_sphinx
	cp -rf doc/build/html $(CURDIR)/debian/cinder-doc/usr/share/doc/cinder-doc
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/",dversionmangle=s/\+dfsg\d+$// \
https://github.com/openstack/cinder/tags .*/(\d[\d\.]+)\.tar\.gz

## cinder 9.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6 # Apache-2.0
Babel>=2.3.4 # BSD
decorator>=3.4.0 # BSD
enum34;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
eventlet!=0.18.3,>=0.18.2 # MIT
greenlet>=0.3.2 # MIT
httplib2>=0.7.5 # MIT
iso8601>=0.1.11 # MIT
ipaddress>=1.0.7;python_version<'3.3' # PSF
keystoneauth1>=2.10.0 # Apache-2.0
keystonemiddleware!=4.1.0,!=4.5.0,>=4.0.0 # Apache-2.0
lxml>=2.3 # BSD
oauth2client>=1.5.0 # Apache-2.0
oslo.config>=3.14.0 # Apache-2.0
oslo.concurrency>=3.8.0 # Apache-2.0
oslo.context>=2.9.0 # Apache-2.0
oslo.db!=4.13.1,!=4.13.2,>=4.10.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.messaging>=5.2.0 # Apache-2.0
oslo.middleware>=3.0.0 # Apache-2.0
oslo.policy>=1.9.0 # Apache-2.0
oslo.privsep>=1.9.0 # Apache-2.0
oslo.reports>=0.6.0 # Apache-2.0
oslo.rootwrap>=5.0.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
oslo.utils>=3.16.0 # Apache-2.0
oslo.versionedobjects>=1.13.0 # Apache-2.0
osprofiler>=1.4.0 # Apache-2.0
paramiko>=2.0 # LGPLv2.1+
Paste # MIT
PasteDeploy>=1.5.0 # MIT
pycrypto>=2.6 # Public Domain
pyparsing>=2.0.1 # MIT
python-barbicanclient>=4.0.0 # Apache-2.0
python-glanceclient!=2.4.0,>=2.3.0 # Apache-2.0
python-keystoneclient!=2.1.0,>=2.0.0 # Apache-2.0
python-novaclient!=2.33.0,>=2.29.0 # Apache-2.0
python-swiftclient>=2.2.0 # Apache-2.0
pytz>=2013.6 # MIT
requests>=2.10.0 # Apache-2.0
retrying!=1.3.0,>=1.2.3 # Apache-2.0
Routes!=2.0,!=2.1,!=2.3.0,>=1.12.3;python_version=='2.7' # MIT
Routes!=2.0,!=2.3.0,>=1.12.3;python_version!='2.7' # MIT
taskflow>=1.26.0 # Apache-2.0
rtslib-fb>=2.1.41 # Apache-2.0
simplejson>=2.2.0 # MIT
six>=1.9.0 # MIT
SQLAlchemy<1.1.0,>=1.0.10 # MIT
sqlalchemy-migrate>=0.9.6 # Apache-2.0
stevedore>=1.16.0 # Apache-2.0
suds-jurko>=0.6 # LGPLv3+
WebOb>=1.2.3 # MIT
oslo.i18n>=2.1.0 # Apache-2.0
oslo.vmware>=2.11.0 # Apache-2.0
os-brick>=1.6.1 # Apache-2.0
os-win>=0.2.3 # Apache-2.0
tooz>=1.28.0 # Apache-2.0
google-api-python-client>=1.4.2 # Apache-2.0
castellan>=0.4.0 # Apache-2.0

=== debian/changelog ===
cinder (2:9.0.0-4+4~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Sat, 01 Apr 2017 16:43:44 +0000

cinder (2:9.0.0-4) unstable; urgency=medium

  * Team upload.
  * Bump build dependency on openstack-pkg-tools (Closes: #858692). 

 -- David Rabel <david.rabel@noresoft.com>  Sat, 01 Apr 2017 11:22:35 +0200

cinder (2:9.0.0-3) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Ondřej Kobližek ]
  * Patch-out upper constraints of SQLAlchemy
  * Fixed SqlAlchemy worker model (Closes: #846749)

 -- Ondřej Kobližek <koblizeko@gmail.com>  Mon, 19 Dec 2016 10:23:09 +0100

cinder (2:9.0.0-2) unstable; urgency=medium

  * Also allows running open-iscsi using OR depends (Closes: #841452).

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Oct 2016 10:40:22 +0200

cinder (2:9.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Oct 2016 17:32:42 +0200

cinder (2:9.0.0~rc1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Build-Depends on openstack-pkg-tools >= 53~.
  * Fixed oslotest EPOCH.
  * Debconf translation:
    - it (Closes: #839197).

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Sep 2016 09:38:45 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: extra
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                dh-systemd,
-               openstack-pkg-tools (>= 53~),
+               openstack-pkg-tools (>= 54~),
                po-debconf,
                python-all,
                python-pbr (>= 1.8),
@@ -230,7 +230,7 @@
          cinder-common (= ${binary:Version}),
          lvm2,
          qemu-utils,
-         tgt,
+         tgt | open-iscsi,
          ${misc:Depends},
          ${ostack-lsb-base},
          ${python:Depends},

## cinder 9.1.4

=== requirements.txt ===
--- 
+++ 
@@ -47,7 +47,7 @@
 Routes!=2.0,!=2.1,!=2.3.0,>=1.12.3;python_version=='2.7' # MIT
 Routes!=2.0,!=2.3.0,>=1.12.3;python_version!='2.7' # MIT
 taskflow>=1.26.0 # Apache-2.0
-rtslib-fb>=2.1.41 # Apache-2.0
+rtslib-fb!=2.1.60,!=2.1.61,>=2.1.41 # Apache-2.0
 simplejson>=2.2.0 # MIT
 six>=1.9.0 # MIT
 SQLAlchemy<1.1.0,>=1.0.10 # MIT

=== debian/changelog ===
cinder (2:9.1.4-0ubuntu1) yakkety; urgency=medium

  [ Chuck Short ]
  * d/p/fix-emx-driver.patch: VNX: Update sg cache if it already existed.
    (LP: #1677982) 

  [ Corey Bryant ]
  * New upstream point release for OpenStack Newton (LP: #1688557).
  * d/p/fix-emx-driver.patch: Dropped. Included in upstream point release.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 05 May 2017 15:06:45 -0400

cinder (2:9.1.2-0ubuntu2) yakkety; urgency=medium

  * d/p/log-message-cleanup-for-volume-usage-audit.patch:
    Fixes LP: #1631561.

 -- Jorge Niedbalski <jorge.niedbalski@canonical.com>  Fri, 10 Mar 2017 18:20:41 -0300

cinder (2:9.1.2-0ubuntu1) yakkety; urgency=medium

  [ Corey Bryant ]
  * d/control: Add keystoneauth1 dependency to (Build-)Depends (LP: #1641148).

  [ Chuck Short ]
  * New upstream stable release for OpenStack Newton (LP: #1664306).

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 01 Mar 2017 14:02:56 -0500

cinder (2:9.1.0-0ubuntu1) yakkety; urgency=medium

  * New upstream stable release for OpenStack Newton (LP: #1645772).

 -- David Della Vecchia <ddv@canonical.com>  Tue, 29 Nov 2016 12:56:17 -0500

cinder (2:9.0.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release for OpenStack Newton.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 06 Oct 2016 09:54:51 -0400

cinder (2:9.0.0~rc2-0ubuntu1) yakkety; urgency=medium

  * d/control: oslo.log min version level in global-requirements is too low,
    so set min version to upper-constraints level (LP: #1628883).
  * New upstream release candidate for OpenStack Newton.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 03 Oct 2016 10:36:51 -0400

cinder (2:9.0.0~rc1-0ubuntu1) yakkety; urgency=medium

  [ James Page ]
  * d/p/bug1619246.patch: Drop, included upstream.

  [ Corey Bryant ]
  * New upstream version.
  * d/p/*: Rebased.

  [ James Page ]
  * d/control: Drop tgt to a Recommends, allowing it to be removed in installs
    where tgt is not required (LP: #1079466).
  * d/control: Set correct minimum version of os-brick.

  [ Corey Bryant ]
  * New upstream release candidate for OpenStack Newton.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 16 Sep 2016 08:55:56 -0400

cinder (2:9.0.0~b3-0ubuntu2) yakkety; urgency=medium

  * d/p/bug1619246.patch: Cherry pick fix for scheduling of
    volumes with no volume type set (LP: #1619246).

 -- James Page <james.page@ubuntu.com>  Mon, 05 Sep 2016 16:29:47 +0100

cinder (2:9.0.0~b3-0ubuntu1) yakkety; urgency=medium

  [ James Page ]
  * d/p/skip-failing-tests.patch: Dropped, no longer upstream.

  [ Corey Bryant ]
  * d/p/*: Rebased.

  [ James Page ]
  * d/control: Add python-oslo.privsep to BD's.
  * New upstream release.

  [ Corey Bryant ]
  * d/p/google-back-requirements.patch: Rebased.
  * d/control: Add python-pep8 to BDs.

  [ James Page ]
  * New upstream release.

  [ Corey Bryant ]
  * New upstream version.
  * d/p/skip-test-retype-volume-migration-failed.patch: Dropped. Fixed upstream.
  * d/p/*: Rebased.

  [ James Page ]
  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Fri, 02 Sep 2016 09:43:08 +0100

cinder (2:9.0.0~b2-0ubuntu1) yakkety; urgency=medium

  [ Corey Bryant ]
  * New upstream milestone for OpenStack Newton.
  * d/control: Align (Build-)Depends with upstream.
  * New upstream version.
  * d/p/google-back-requirements.patch: Rebased.
  * d/p/*: Rebased.
  * d/control: Add python-ipaddress to (Build-)Depends.

  [ David Della Vecchia ]
  * New upstream version.
  * d/p/skip-test-retype-volume-migration-failed.patch: Rebased.
  * d/p/google-back-requirements.patch: Rebased.

  [ James Page ]
  * d/p/fix-i386.patch: Drop, included upstream.
  * New upstream version.
  * d/p/*: Refresh.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 Jul 2016 10:12:27 -0400

cinder (2:9.0.0~b1-0ubuntu1) yakkety; urgency=medium

  [ James Page ]
  * New upstream version.
  * d/control,d/p/*: Restore BD's for google backup tests, limit patch
    to removal of hard runtime requirement on required dependencies.
  * d/p/Drop-use-of-invalid-assert_called_once-call.patch: Cherry pick
    inflight fix for invalid use of assert methods.
  * d/p/*: Refresh.

  [ Corey Bryant ]
  * d/p/skip-test-retype-volume-migration-failed.patch: Skip
    test_retype_volume_migration_failed until bug is resolved.
    https://bugs.launchpad.net/cinder/+bug/1582306
  * d/p/skip-timeout-exception.patch: Skip
    test_snapshot_failure_when_remote_is_unreachable until bug is resolved.
    https://bugs.launchpad.net/cinder/+bug/1582370
  * d/p/skip-timeout-exceptions.patch: Dropped. Fixed upstream.
  * d/p/Drop-use-of-invalid-assert_called_once-call.patch: Dropped. Fixed
    upstream.
  * d/p/google-back-requirements.patch: Rebased.
  * New upstream milestone for OpenStack Newton.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Leave paramiko at >= 1.16.0 for b1.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Jun 2016 09:16:13 -0400

=== debian/control ===
Source: cinder
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>= 9~),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 23~),
               python-all,
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: python-anyjson (>= 0.3.3),
                     python-babel (>= 2.3.4),
                     python-barbicanclient (>= 4.0.0),
                     python-coverage (>= 3.6),
                     python-crypto (>= 2.6),
                     python-ddt (>= 1.0.1),
                     python-decorator (>= 3.4.0),
                     python-enum34,
                     python-eventlet (>= 0.18.2),
                     python-fixtures (>= 3.0.0),
                     python-glanceclient (>= 1:2.0.0),
                     python-googleapi (>= 1.4.2),
                     python-greenlet (>= 0.3.2),
                     python-hacking (>= 0.10.0),
                     python-httplib2 (>= 0.7.5),
                     python-ipaddress (>= 1.0.7),
                     python-iso8601 (>= 0.1.11),
                     python-keystoneauth1 (>= 2.10.0),
                     python-keystoneclient (>= 1.7.0),
                     python-keystonemiddleware (>= 4.0.0),
                     python-lxml (>= 2.3),
                     python-migrate (>= 0.9.6),
                     python-mock (>= 1.2),
                     python-mox3 (>= 0.7.0),
                     python-novaclient (>= 2:2.29.0),
                     python-oauth2client (>= 1.5.0),
                     python-os-brick (>= 1.6.1),
                     python-os-testr (>= 0.7.0),
                     python-os-win (>= 0.2.3),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 1:3.12.0),
                     python-oslo.context (>= 2.4.0),
                     python-oslo.db (>= 4.1.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 3.16.0),
                     python-oslo.messaging (>= 5.2.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.policy (>= 1.9.0),
                     python-oslo.privsep (>= 1.9.0),
                     python-oslo.reports (>= 0.6.0),
                     python-oslo.rootwrap (>= 2.0.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.service (>= 1.10.0),
                     python-oslo.utils (>= 3.15.0),
                     python-oslo.versionedobjects (>= 1.9.1),
                     python-oslo.vmware (>= 1.16.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1:1.10.0),
                     python-osprofiler (>= 1.3.0),
                     python-paramiko (>= 2.0),
                     python-paste,
                     python-pastedeploy (>= 1.5.0),
                     python-pep8,
                     python-pbr (>= 1.8),
                     python-pyparsing (>= 2.0.1),
                     python-requests (>= 2.10.0),
                     python-retrying (>= 1.2.3),
                     python-routes (>= 1.12.3),
                     python-rtslib-fb (>= 2.1.41),
                     python-simplejson (>= 2.2.0),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.10.0),
                     python-suds,
                     python-swiftclient (>= 1:2.2.0),
                     python-taskflow (>= 1.26.0),
                     python-tempest-lib (>= 0.14.0),
                     python-testresources (>= 0.2.4),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python-tooz (>= 1.28.0),
                     python-tz (>= 2013.6),
                     python-webob (>= 1.2.3),
                     subunit (>= 0.0.18),
                     testrepository (>= 0.0.18),
Standards-Version: 3.9.6
Homepage: http://launchpad.net/cinder
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/cinder
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/cinder
XS-Testsuite: autopkgtest

Package: python-cinder
Section: python
Architecture: all
Depends: python-anyjson (>= 0.3.3),
         python-babel (>= 2.3.4),
         python-barbicanclient (>= 4.0.0),
         python-crypto (>= 2.6),
         python-decorator (>= 3.4.0),
         python-enum34,
         python-eventlet (>= 0.18.2),
         python-glanceclient (>= 1:2.0.0),
         python-greenlet (>= 0.3.2),
         python-httplib2 (>= 0.7.5),
         python-ipaddress (>= 1.0.7),
         python-iso8601 (>= 0.1.11),
         python-keystoneauth1 (>= 2.10.0),
         python-keystoneclient (>= 1.7.0),
         python-keystonemiddleware (>= 4.0.0),
         python-lxml (>= 2.3),
         python-migrate (>= 0.9.6),
         python-novaclient (>= 2:2.29.0),
         python-os-brick (>= 1.6.1),
         python-os-win (>= 0.2.3),
         python-oslo.concurrency (>= 3.8.0),
         python-oslo.config (>= 1:3.12.0),
         python-oslo.context (>= 2.4.0),
         python-oslo.db (>= 4.1.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 3.16.0),
         python-oslo.messaging (>= 5.2.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.policy (>= 1.9.0),
         python-oslo.privsep (>= 1.9.0),
         python-oslo.reports (>= 0.6.0),
         python-oslo.rootwrap (>= 2.0.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.service (>= 1.10.0),
         python-oslo.utils (>= 3.15.0),
         python-oslo.versionedobjects (>= 1.9.1),
         python-oslo.vmware (>= 1.16.0),
         python-osprofiler (>= 1.3.0),
         python-paramiko (>= 2.0),
         python-paste,
         python-pastedeploy (>= 1.5.0),
         python-pbr (>= 1.8),
         python-pyparsing (>= 2.0.1),
         python-requests (>= 2.10.0),
         python-retrying (>= 1.2.3),
         python-routes (>= 1.12.3),
         python-simplejson (>= 2.2.0),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.10.0),
         python-suds,
         python-swiftclient (>= 1:2.2.0),
         python-taskflow (>= 1.26.0),
         python-tooz (>= 1.28.0),
         python-tz (>= 2013.6),
         python-webob (>= 1.2.3),
         ${misc:Depends},
         ${python:Depends},
Suggests: python-ceph,
          python-googleapi (>= 1.4.2),
          python-hp3parclient,
          python-oauth2client (>= 1.5.0),
          python-rtslib-fb,
Description: Cinder Python libraries
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Python library for Cinder.

Package: cinder-common
Architecture: all
Depends: adduser,
         python-cinder (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Provides: ${python:Provides},
Description: Cinder storage service - common files
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains commons components for Cinder.

Package: cinder-api
Architecture: all
Depends: cinder-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: Cinder storage service - API server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Cinder API server.

Package: cinder-volume
Architecture: all
Depends: cinder-common (= ${binary:Version}),
         lvm2,
         qemu-utils,
         tgt,
         ${misc:Depends},
         ${python:Depends},
Breaks: cinder-common ( <= 2012.2~rc1~20120907.1154-0ubuntu1 ),
Replaces: cinder-common ( <= 2012.2~rc1~20120907.1154-0ubuntu1 ),
Description: Cinder storage service - Volume server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Cinder Volume server.

Package: cinder-scheduler
Architecture: all
Depends: cinder-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: Cinder storage service - Scheduler server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Cinder Scheduler server.

Package: cinder-backup
Architecture: all
Depends: cinder-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: Cinder storage service - Scheduler server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Cinder backup service.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@  --with python2,systemd

get-orig-source:
	uscan --verbose --rename --destdir=../build-area

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	ostestr
endif

override_dh_install:
	dh_install --fail-missing -Xbin/cinder-all

override_dh_fixperms:
	dh_fixperms -Xcinder_tgt.conf

override_dh_clean:
	# temporary workaround for d2to1 wonkyness
	dh_clean -Xsetup.cfg
	rm -f debian/*.init debian/*.service debian/*.upstart

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .eggs .testrepository

## cinder 10.0.0%7eb2

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.8 # Apache-2.0
Babel>=2.3.4 # BSD
decorator>=3.4.0 # BSD
enum34;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
eventlet!=0.18.3,>=0.18.2 # MIT
greenlet>=0.3.2 # MIT
httplib2>=0.7.5 # MIT
iso8601>=0.1.11 # MIT
ipaddress>=1.0.7;python_version<'3.3' # PSF
keystoneauth1>=2.16.0 # Apache-2.0
keystonemiddleware!=4.5.0,>=4.2.0 # Apache-2.0
lxml>=2.3 # BSD
oauth2client!=4.0.0,>=1.5.0 # Apache-2.0
oslo.config!=3.18.0,>=3.14.0 # Apache-2.0
oslo.concurrency>=3.8.0 # Apache-2.0
oslo.context>=2.9.0 # Apache-2.0
oslo.db!=4.13.1,!=4.13.2,>=4.11.0 # Apache-2.0
oslo.log>=3.11.0 # Apache-2.0
oslo.messaging>=5.14.0 # Apache-2.0
oslo.middleware>=3.0.0 # Apache-2.0
oslo.policy>=1.17.0 # Apache-2.0
oslo.privsep>=1.9.0 # Apache-2.0
oslo.reports>=0.6.0 # Apache-2.0
oslo.rootwrap>=5.0.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
oslo.utils>=3.18.0 # Apache-2.0
oslo.versionedobjects>=1.17.0 # Apache-2.0
osprofiler>=1.4.0 # Apache-2.0
paramiko>=2.0 # LGPLv2.1+
Paste # MIT
PasteDeploy>=1.5.0 # MIT
pycrypto>=2.6 # Public Domain
pyparsing>=2.0.7 # MIT
python-barbicanclient>=4.0.0 # Apache-2.0
python-glanceclient>=2.5.0 # Apache-2.0
python-keystoneclient>=3.8.0 # Apache-2.0
python-novaclient!=2.33.0,>=2.29.0 # Apache-2.0
python-swiftclient>=3.2.0 # Apache-2.0
pytz>=2013.6 # MIT
requests!=2.12.2,>=2.10.0 # Apache-2.0
retrying!=1.3.0,>=1.2.3 # Apache-2.0
Routes!=2.0,!=2.1,!=2.3.0,>=1.12.3;python_version=='2.7' # MIT
Routes!=2.0,!=2.3.0,>=1.12.3;python_version!='2.7' # MIT
taskflow>=1.26.0 # Apache-2.0
rtslib-fb!=2.1.60,!=2.1.61,>=2.1.43 # Apache-2.0
simplejson>=2.2.0 # MIT
six>=1.9.0 # MIT
SQLAlchemy<1.1.0,>=1.0.10 # MIT
sqlalchemy-migrate>=0.9.6 # Apache-2.0
stevedore>=1.17.1 # Apache-2.0
suds-jurko>=0.6 # LGPLv3+
WebOb>=1.6.0 # MIT
oslo.i18n>=2.1.0 # Apache-2.0
oslo.vmware>=2.15.0 # Apache-2.0
os-brick>=1.8.0 # Apache-2.0
os-win>=1.1.0 # Apache-2.0
tooz>=1.28.0 # Apache-2.0
google-api-python-client>=1.4.2 # Apache-2.0
castellan>=0.4.0 # Apache-2.0

## cinder 10.0.1

=== requirements.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 
-pbr>=1.8 # Apache-2.0
+pbr<2.0.0,>=1.8 # Apache-2.0
 Babel>=2.3.4 # BSD
 decorator>=3.4.0 # BSD
 enum34;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
@@ -11,14 +11,14 @@
 httplib2>=0.7.5 # MIT
 iso8601>=0.1.11 # MIT
 ipaddress>=1.0.7;python_version<'3.3' # PSF
-keystoneauth1>=2.16.0 # Apache-2.0
-keystonemiddleware!=4.5.0,>=4.2.0 # Apache-2.0
-lxml>=2.3 # BSD
+keystoneauth1>=2.18.0 # Apache-2.0
+keystonemiddleware>=4.12.0 # Apache-2.0
+lxml!=3.7.0,>=2.3 # BSD
 oauth2client!=4.0.0,>=1.5.0 # Apache-2.0
 oslo.config!=3.18.0,>=3.14.0 # Apache-2.0
 oslo.concurrency>=3.8.0 # Apache-2.0
 oslo.context>=2.9.0 # Apache-2.0
-oslo.db!=4.13.1,!=4.13.2,>=4.11.0 # Apache-2.0
+oslo.db>=4.15.0 # Apache-2.0
 oslo.log>=3.11.0 # Apache-2.0
 oslo.messaging>=5.14.0 # Apache-2.0
 oslo.middleware>=3.0.0 # Apache-2.0
@@ -34,19 +34,20 @@
 paramiko>=2.0 # LGPLv2.1+
 Paste # MIT
 PasteDeploy>=1.5.0 # MIT
+psutil>=3.0.1 # BSD
 pycrypto>=2.6 # Public Domain
-pyparsing>=2.0.7 # MIT
+pyparsing>=2.1.0 # MIT
 python-barbicanclient>=4.0.0 # Apache-2.0
 python-glanceclient>=2.5.0 # Apache-2.0
 python-keystoneclient>=3.8.0 # Apache-2.0
-python-novaclient!=2.33.0,>=2.29.0 # Apache-2.0
+python-novaclient!=7.0.0,>=6.0.0 # Apache-2.0
 python-swiftclient>=3.2.0 # Apache-2.0
 pytz>=2013.6 # MIT
 requests!=2.12.2,>=2.10.0 # Apache-2.0
 retrying!=1.3.0,>=1.2.3 # Apache-2.0
 Routes!=2.0,!=2.1,!=2.3.0,>=1.12.3;python_version=='2.7' # MIT
 Routes!=2.0,!=2.3.0,>=1.12.3;python_version!='2.7' # MIT
-taskflow>=1.26.0 # Apache-2.0
+taskflow>=2.7.0 # Apache-2.0
 rtslib-fb!=2.1.60,!=2.1.61,>=2.1.43 # Apache-2.0
 simplejson>=2.2.0 # MIT
 six>=1.9.0 # MIT
@@ -56,9 +57,9 @@
 suds-jurko>=0.6 # LGPLv3+
 WebOb>=1.6.0 # MIT
 oslo.i18n>=2.1.0 # Apache-2.0
-oslo.vmware>=2.15.0 # Apache-2.0
+oslo.vmware>=2.17.0 # Apache-2.0
 os-brick>=1.8.0 # Apache-2.0
-os-win>=1.1.0 # Apache-2.0
-tooz>=1.28.0 # Apache-2.0
+os-win>=1.4.0 # Apache-2.0
+tooz>=1.47.0 # Apache-2.0
 google-api-python-client>=1.4.2 # Apache-2.0
 castellan>=0.4.0 # Apache-2.0

=== debian/changelog ===
cinder (2:10.0.1-0ubuntu1) zesty; urgency=medium

  * d/cinder-common.postinst: Make sure permissions are 0750 for /etc/cinder.
    (LP: #1675088) 
  * New upstream point release for OpenStack Ocata. 
  * d/patches/fix-requirements.patch: Pin pbr to version 1.8.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 11 Apr 2017 08:50:02 -0400

cinder (2:10.0.0-0ubuntu2) zesty; urgency=medium

  * debian/cinder-api.install: Move cinder-wsgi back to 
    its regular place. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 22 Feb 2017 11:17:48 -0500

cinder (2:10.0.0-0ubuntu1) zesty; urgency=medium

  * New upstream release for Openstack Ocata. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 22 Feb 2017 09:19:18 -0500

cinder (2:10.0.0~rc2-0ubuntu1) zesty; urgency=medium

  * New upstream release candidate for OpenStack Ocata.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 17 Feb 2017 08:29:17 -0500

cinder (2:10.0.0~rc1-0ubuntu1) zesty; urgency=medium

  * debian/apache2-wsgi.conf: DefaultProcessGroup should be cinder-wsgi
    insteam of osapi-volume. (LP: #1655311) 
  * New upstream release for Ocata. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 07 Feb 2017 10:22:15 -0500

cinder (2:10.0.0~b3-0ubuntu2) zesty; urgency=medium

  * debian/control: Remove bad dependency. 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 30 Jan 2017 15:02:05 -0500

cinder (2:10.0.0~b3-0ubuntu1) zesty; urgency=medium

  * New upstream milestone for OpenStack Ocata.
  * debian/patches/google-back-requirements.patch: Dropped
  * debian/pydist-overrides: Add google-api-python-client and oauth2client.
  * d/control: Align (Build-)Depends with upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 27 Jan 2017 09:20:08 -0500

cinder (2:10.0.0~b2-0ubuntu1) zesty; urgency=medium

  [ Chuck Short ]
  * debian/rules, debian/control, debian/cinder-api.init.in,
    debian/tests/cinder-daemon, debian/apache2.conf: Run cinder API daemon
    under apache2 with mod_wsgi instead of under eventlet.

  [ Corey Bryant ]
  * New upstream milestone for OpenStack Ocata.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/google-back-requirements.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 16 Dec 2016 12:08:46 -0500

cinder (2:10.0.0~b1-0ubuntu1) zesty; urgency=medium

  [ Chuck Short ]
  * New upstream version.
  * debian/patches/fix-long-casting.patch: Dropped no longer needed.
  * debian/patches/google-back-requirements.patch: Refreshed
  * debian/control: Bump dependencies.

  [ Corey Bryant ]
  * New upstream version.
  * d/rules: Add PBR_VERSION to set correct distro version for package build.
  * d/control: Align python-oslo.versionedobjects with upstream.

  [ David Della Vecchia ]
  * New upstream milestone for OpenStack Ocata.
  * d/control: Align (build-)depends with upstream.

 -- David Della Vecchia <ddv@canonical.com>  Wed, 16 Nov 2016 15:33:19 -0500
